#ifndef SOUNDPATHS_H
#define SOUNDPATHS_H



/*
 *	Sound path structure:
 */
typedef struct {

	char *path;

} SoundPath;
SoundPath **soundpath;
int total_soundpaths;


extern int SoundPathIsAllocated(int n);
extern SoundPath *SoundPathGetPtr(int n);

extern char *SoundPathCompletePath(char *filename);

extern int SoundPathAllocate();
extern void SoundPathDelete(int n);
extern void SoundPathDeleteAll();


#endif	/* SOUNDPATHS_H */
