/*
	List of hosts allowed accesss to connect.
 */

#ifndef YHOST_H
#define YHOST_H


/*
 *	YHost structure:
 */
typedef struct {

        char *host;	/* Must be a numeric address! */

	/* Each numeric value in host. */
	unsigned char c[4];

} YHost;
YHost **yhost;
int total_yhosts;


extern int YHostIsAllocated(int n);
extern YHost *YHostGetPtr(int n);

extern int YHostInList(char *host);
extern void YHostDeleteByHost(char *host);

extern int YHostAllocate(char *host);
extern void YHostDelete(int n);
extern void YHostDeleteAll();


#endif	/* YHOST_H */
